org.python.core

## Class PyBuiltinMethodSet

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyBuiltinCallable
    - - org.python.core.PyBuiltinFunction
      - - org.python.core.PyBuiltinFunctionNarrow
        - - org.python.core.PyBuiltinFunctionSet
          - - org.python.core.PyBuiltinMethodSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Traverseproc, org.python.expose.ExposeAsSuperclass

      public class PyBuiltinMethodSet
      extends PyBuiltinFunctionSet
      implements java.lang.Cloneable, Traverseproc

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyBuiltinCallable

      `PyBuiltinCallable.DefaultInfo, PyBuiltinCallable.Info`

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyBuiltinMethodSet(java.lang.String name, int index, int minargs, int maxargs, java.lang.String doc, java.lang.Class<?> type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__get__(PyObject obj, PyObject type)` Get descriptor for this PyObject.
    `PyBuiltinCallable` | `bind(PyObject bindTo)` Returns a new instance of this type of PyBuiltinFunction bound to self
    `PyObject` | `getSelf()`
    `boolean` | `implementsDescrGet()`
    `boolean` | `refersDirectlyTo(PyObject ob)` Optional operation.
    `java.lang.String` | `toString()`
    `int` | `traverse(Visitproc visit, java.lang.Object arg)` Traverses all directly contained `PyObject`s.

    - ### Methods inherited from class org.python.core.PyBuiltinFunctionNarrow

      `__call__, __call__, __call__, __call__, __call__, __call__, __call__, fancyCall`

    - ### Methods inherited from class org.python.core.PyBuiltinFunction

      `isMappingType, isNumberType, isSequenceType`

    - ### Methods inherited from class org.python.core.PyBuiltinCallable

      `fastGetName, getDoc, getModule, makeCall, setInfo`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PyBuiltinMethodSet

          public PyBuiltinMethodSet(java.lang.String name,
                                    int index,
                                    int minargs,
                                    int maxargs,
                                    java.lang.String doc,
                                    java.lang.Class<?> type)

  - ### Method Detail

    - #### __get__

          public PyObject __get__(PyObject obj,
                                  PyObject type)

      Description copied from class: `PyObject`
      Get descriptor for this PyObject.
      Overrides:
        `__get__` in class `PyObject`
      Parameters:
        `obj` - - the instance accessing this descriptor. Can be null if this is being accessed by a type.
        `type` - - the type accessing this descriptor. Will be null if obj exists as obj is of the type accessing the descriptor.
      Returns:
        - the object defined for this descriptor for the given obj and type.

    - #### bind

          public PyBuiltinCallable bind(PyObject bindTo)

      Description copied from class: `PyBuiltinCallable`
      Returns a new instance of this type of PyBuiltinFunction bound to self
      Overrides:
        `bind` in class `PyBuiltinFunction`

    - #### getSelf

          public PyObject getSelf()

      Overrides:
        `getSelf` in class `PyBuiltinCallable`

    - #### implementsDescrGet

          public boolean implementsDescrGet()

      Overrides:
        `implementsDescrGet` in class `PyObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PyBuiltinFunction`

    - #### traverse

          public int traverse(Visitproc visit,
                              java.lang.Object arg)

      Description copied from interface: `Traverseproc`
      Traverses all directly contained `PyObject`s. Like in CPython, `arg` must be passed unmodified to `visit` as its second parameter. If `Visitproc.visit(PyObject, Object)` returns nonzero, this return value must be returned immediately by traverse. `Visitproc.visit(PyObject, Object)` must not be called with a `null` PyObject-argument.
      Specified by:
        `traverse` in interface `Traverseproc`

    - #### refersDirectlyTo

          public boolean refersDirectlyTo(PyObject ob)

      Description copied from interface: `Traverseproc`
      Optional operation. Should only be implemented if it is more efficient than calling `Traverseproc.traverse(Visitproc, Object)` with a visitproc that just watches out for `ob`. Must return `false` if `ob` is `null`.
      Specified by:
        `refersDirectlyTo` in interface `Traverseproc`

Jython homepage